Skip to main content
PATCH
/
stores
/
{storeId}
/
categories
/
{categoryId}
Update a category
curl --request PATCH \
  --url https://api.pandabase.io/v2/core/stores/{storeId}/categories/{categoryId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "parentId": "<string>",
  "displayOrder": 4999,
  "icon": "<string>",
  "metaTitle": "<string>",
  "metaDescription": "<string>",
  "showInNavigation": true,
  "featured": true,
  "isFavourite": true,
  "isArchived": true,
  "productIds": [
    "<string>"
  ]
}
'
{
  "ok": true,
  "data": "<unknown>"
}

Authorizations

Authorization
string
header
required

Store API token. Use the sk_ prefixed secret key as the Bearer token.

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Required string length: 12 - 48
categoryId
string
required

Category ID (ctg_ prefix)

Required string length: 12 - 48

Body

application/json
name
string
Required string length: 1 - 128
slug
string
Required string length: 2 - 128
description
string | null
Maximum string length: 500
parentId
string | null
displayOrder
integer
Required range: 0 <= x <= 9999
icon
string | null
Maximum string length: 64
metaTitle
string | null
Maximum string length: 128
metaDescription
string | null
Maximum string length: 320
showInNavigation
boolean
isFavourite
boolean
isArchived
boolean
productIds
string[]
Maximum array length: 100

Response

Successful operation

ok
boolean
required
data
any
required